.newsletter {
	padding: 24px 12px 16px;
	background-color: #F8F8F8;
}


.newsletter-banner {
	width: 100%;
	margin: 0 0 16px 0;
}

.newsletter__inside {
	display: flex;
	align-items: center;
	flex-direction: column;
}

.newsletter__content {
	order: 2;
}

.newsletter__aside {
	order: 1;
	margin-bottom: 12px;
}

.newsletter__image {
	display: block;
	width: 76px;
	height: 64px;
}

.newsletter__title {
	margin-bottom: 12px;
	font-size: 24px;
	line-height: 28px;
	font-weight: bold;
	text-align: center;
}

.newsletter__description {
	margin-bottom: 36px;
	font-size: 16px;
	line-height: 24px;
	text-align: center;
}

.newsletter-form__content {
	flex-direction: column;
}

.newsletter-form__fields {
	margin-bottom: 16px;
}

.newsletter-form__field {
	width: 100%;
}

.newsletter-form__button {
	width: 100%;
	margin: 0;
}

.newsletter-form {
	position: relative;
}

.newsletter-form__content {
	display: flex;
}

.newsletter-form__fields {
	display: flex;
	flex-direction: column;
	align-items: center;
}

input[type="email"].newsletter-form__field {
	height: 48px;
	font-size: 16px;
	line-height: 24px;
}

.newsletter-form__message {
	display: none;
	margin-top: 4px;
	font-size: 14px;
	line-height: 18px;
	font-style: italic;
}

.newsletter-form__message--success {
	color: #34C759;
}

.newsletter-form__message--error {
	color: #FF0000;
}

.newsletter-form__message--visible {
	display: block;
}

.newsletter-form__button {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 48px;
	margin: 0;
	padding: 0 36px;
	font-size: 16px;
	line-height: 20px;
	font-weight: 500;
	color: #232323;
	background-color: #34C759;
	border: 0;
	border-radius: 8px;
}

.newsletter-form__button:hover {
	background-color: #13E748;
}

.newsletter-form__spinner {
	display: none;
	margin: 4px auto 0;
}

.newsletter-form__spinner--visible {
	display: block;
}

.newsletter-form__spinner-bounce {
	display: inline-block;
	text-align: center;
	width: 12px;
	height: 12px;
	background-color: #34C759;
	border-radius: 100%;
	animation: bounce 1.4s ease-in-out infinite both;
}

.newsletter-form__spinner-bounce:not(:last-child) {
	margin-right: 2px;
}

.newsletter-form__spinner-bounce--first {
	animation-delay: -0.32s;
}

.newsletter-form__spinner-bounce--last {
	animation-delay: -0.16s;
}

@keyframes bounce {
	0%,
	80%,
	to {
		transform: scale(0);
		transform-origin: center;
	}

	40% {
		transform: scale(1);
	}
}

/* Responsive */

@media (min-width: 360px) {

	.newsletter {
		padding: 24px 16px 16px;
	}
}

@media (min-width: 576px) {
	.newsletter-banner {
		margin: 0 10px 16px 10px;
	}
}

@media (min-width: 768px) {

	.newsletter__inside {
		flex-direction: row;
		align-items: flex-end;
		justify-content: space-between;
	}

	.newsletter__content {
		order: 1;
		width: 456px;
	}

	.newsletter__aside {
		order: 2;
		width: 112px;
		margin-bottom: 18px;
	}

	.newsletter__title {
		text-align: left;
	}

	.newsletter__description {
		text-align: left;
	}

	.newsletter__image {
		flex-shrink: 0;
		width: 112px;
		height: 97px;
	}

	.newsletter-form__content {
		flex-direction: row;
		justify-content: space-between;
	}

	.newsletter-form__field-info {
		height: 18px;
	}

	.newsletter-form__fields {
		width: 100%;
		margin-bottom: 0;
	}

	.newsletter-form__button {
		width: 172px;
		margin-left: 8px;
	}
}

@media (min-width: 1024px) {
	.newsletter-banner {
		margin: 0 10px 24px 10px;
	}
}

@media (min-width: 1280px) {

	.newsletter__aside {
		width: 211px;
	}

	.newsletter__image {
		flex-shrink: 0;
		width: 211px;
		height: 182px;
	}
}
